Skip to main content

Get Players Paged

GET 

/users/v2/player:iterate

Iterate over all players. This is a paginated API, so you will need to call it multiple times to get all players. There is no guaranteed ordering of players. So if you need to run multiple iterations for comparison, you will need to sort the results.

Required Permissions:

  • For any player (including themselves) any of: user:*, user:player:iterate

Request

Query Parameters

    cursor Cursor

    Possible values: <= 4096 characters

    cursor to continue iteration. Leaving this empty will begin a new query

    page_size Page Size

    Possible values: >= 1 and <= 1000

    Default value: 100

    number of players to return

Responses

Successful Response

Schema

    players

    object[]

    List of players. An empty list means iteration is complete

  • Array [

  • player_id Player Id (integer)requireddeprecated

    Player ID DEPRECATED use player_uuid instead

    player_uuid uuidrequired

    Player UUID

  • ]

  • cursor Cursor (string)

    Cursor to continue iteration

Loading...